<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="conductorForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelVehiculos" columns="4">
                                    <f:facet name="header">REGISTRAR NUEVO CLIENTE</f:facet>
                                    <h:outputText value="TIPO PERSONA" style="width: 150px"/>
                                    <p:selectOneMenu value="#{clienteBean.clienteNuevo.tipopersona}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Persona"/>
                                        <f:selectItems value="#{clienteBean.listadoTipoPersonas}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="NRO DOCUMENTO:" style="width: 150px"/>
                                    <p:inputText value="#{clienteBean.clienteNuevo.nroidentificacion}" style="width: 150px"/>
                                    
                                    <h:outputText value="NOMBRE EMPRESA" style="width: 150px"/>
                                    <p:inputText value="#{clienteBean.clienteNuevo.nombrecliente}" style="width: 150px"/>
                                    <h:outputText value="OBSERVACIONES ESPECIALES:" style="width: 150px"/>
                                    <p:inputTextarea value="#{clienteBean.clienteNuevo.observacionesespeciales}" style="width: 150px"></p:inputTextarea>
                                    
                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{clienteBean.registrarCliente()}" update="conductorForm, tablaConductor"/>
                                    <p:commandButton type="reset" value="Borrar" class="botonbuscador" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:900px;height:200px">
                                    <p:dataTable id="tablaConductor" var="cliente" value="#{clienteBean.listadoClientes}">
                                        <p:column headerText="Tipo Documento">
                                            <h:outputText value="#{cliente.tipopersona}"/>
                                        </p:column>     
                                        <p:column headerText="Nro Documento">
                                            <h:outputText value="#{cliente.nroidentificacion}"/>
                                        </p:column>    
                                        <p:column headerText="Nombre">
                                            <h:outputText value="#{cliente.nombrecliente}"/>
                                        </p:column>    
                                        <p:column headerText="Observaciones">
                                            <h:outputText value="#{cliente.observacionesespeciales}"/>
                                        </p:column>    
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

